from django.urls import path

from .views import *

app_name = "tinywiki"

urlpatterns = [
    path("",HomeView.as_view(),name="home"),
    path("toc/",TocView.as_view(),name="toc"),
    path("page/<slug:slug>/",PageView.as_view(),name="page"),
    path("page-create/",PageCreateView.as_view(),name="page-create"),
    path("page/<slug:slug>/edit/",PageEditView.as_view(),name='page-edit'),
    path("page/<slug:slug>/dekete/",PageDeleteView.as_view(),name='page-delete'),
    path("__hx__/page/<int:pk>/edit/",HxPageEditView.as_view(),name='hx-page-edit'),
    path("__hx__/page/<int:pk>/delete/",HxPageDeleteView.as_view(),name='hx-page-delete'),
]